Front Page / Macros / Configuration / BOOST_MPL_CFG_NO_PREPROCESSED_HEADERS

# BOOST_MPL_CFG_NO_PREPROCESSED_HEADERS

### Synopsis

    // #define BOOST_MPL_CFG_NO_PREPROCESSED_HEADERS

### Description

`BOOST_MPL_CFG_NO_PREPROCESSED_HEADERS` is an boolean configuration macro regulating library's internal use of preprocessed headers. When defined, it instructs the MPL to discard the pre-generated headers found in `boost/mpl/aux_/preprocessed` directory and use preprocessor metaprogramming techniques to generate the necessary versions of the library components on the fly.

In this implementation of the library, the macro is not defined by default. To change the default configuration, define `BOOST_MPL_CFG_NO_PREPROCESSED_HEADERS` before including any library header.

### See also

Macros, Configuration